Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibraryObjectCursor

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectCursor

    public class S_LibraryObjectCursor

extends java.lang.Object

The `S_LibraryObjectCursor` class is used to represent an open ResultSet created from S_LibraryObjectSelector.

(Unpublished)

Field Summary
`protected java.lang.Long` | `m_Id`
`protected LibraryQueryStatement` | `m_LibraryQueryStatement`
`protected java.sql.ResultSet` | `m_ResultSet`
`protected S_LibraryObjectSelector` | `m_Selector`
`protected S_LibrarySession` | `m_Session`

Constructor Summary
`S_LibraryObjectCursor(java.lang.Long id, S_LibrarySession session, LibraryQueryStatement lstmt, java.sql.ResultSet resultSet, S_LibraryObjectSelector selector)`

Method Summary
`void` | `close()` Closes this S_LibraryObjectCursor.
`java.lang.Long` | `getId()`
`LibraryQueryStatement` | `getLibraryQueryStatement()`
`java.sql.ResultSet` | `getResultSet()`
`S_LibrarySession` | `getSession()`
`S_LibraryObjectData` | `nextItem()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Id

    protected java.lang.Long m_Id

### m_Session

    protected S_LibrarySession m_Session

### m_LibraryQueryStatement

    protected LibraryQueryStatement m_LibraryQueryStatement

### m_ResultSet

    protected java.sql.ResultSet m_ResultSet

### m_Selector

    protected S_LibraryObjectSelector m_Selector

Constructor Detail

### S_LibraryObjectCursor

    public S_LibraryObjectCursor(java.lang.Long id,
                                 S_LibrarySession session,
                                 LibraryQueryStatement lstmt,
                                 java.sql.ResultSet resultSet,
                                 S_LibraryObjectSelector selector)

Method Detail

### getId

    public java.lang.Long getId()

### getSession

    public S_LibrarySession getSession()

### getResultSet

    public java.sql.ResultSet getResultSet()

### getLibraryQueryStatement

    public LibraryQueryStatement getLibraryQueryStatement()

### nextItem

    public S_LibraryObjectData nextItem()
                                 throws IfsException

  Throws:
    `IfsException`

### close

    public void close()
               throws IfsException

  Description copied from class: `S_LibraryObjectCursor`
  Closes this S_LibraryObjectCursor.

  In addition to always closing the ResultSet, the PreparedStatement will be closed if `isPreparedStatementCloseable` is `true`.

  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD